Bug 187975 - pvcreate failed during rhes v4 installation
pvcreate failed during rhes v4 installation
Status: CLOSED DUPLICATE of bug 257161
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 21:43 EDT by Jeff Torma
Modified: 2008-06-10 15:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: 10.1.1.89-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 15:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Torma 2006-04-04 21:43:52 EDT
Description of problem:
During installation, receive message 
Traceback 
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/gui.py" line 1074 
in handleRenderCallback print "unable to read %s help text" %file
....
....
"System Error: pvcreate failed for <fsset.PartitionDevice instance at 
0xb7cab6ac>

Version-Release number of selected component (if applicable):
RHES v 4

How reproducible:
every time

Steps to Reproduce:
1. boot off cd-rom
2. hit enter for gui installation
3. select automatic partitioning (note my hard disk has windows already on 
it.  I am assuming the partitioning tool will remove the windows partition and
create the linux partition)
  
Actual results:
see error above

Expected results:
new partition on hard disk

Additional info:
Comment 1 Jeremy Katz 2006-04-10 14:03:56 EDT
Can you provide the complete traceback you received?
Comment 2 Jeff Torma 2006-04-10 20:57:05 EDT
Traceback (most recent call last):
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/gui.py", line 1074, 
in handleRenderCallback print "Unable to read %s help text" % (file,)
File "/usr/src/build/500926-
i386/install//usr/lib/anaconda/iw/progress_gui.py", line 242, in 
RenderCallback self.intf.icw.nextClicked()
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/gui.py", line 789, 
in NextClicked title=_("%s Installer on %s) % (productName, string.strip(netinf
[1]))
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/dispatch.py", line 
171, in gotoNext self.moveStep()
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/dispatch.py", line 
239, in moveStep rc=apply(func,self.bindArgs(args))
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/packages.py", line 
558 in turnOnFilesystems thefsset.createLogicalVolumes(instPath)
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/fsset.py", line 
1428, in createLogicalVolumes entry.device.setupDevice(chroot)
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/fsset.py", line 
1987, in setupDevice raise SystemError, "pvcreate failed for %s" % (volume,)
SystemError: pvcreate failed for <fsset.PartitionDevice instance at 0xb7cab6ac>

Comment 3 Kenneth Topp 2006-08-15 12:27:38 EDT
i've seen the same thing, I had to zero out the lvm signature to install.  I was
trying to create a vg with the same name as what exists.  If I cannot reproduce,
then I'll assume there was some vg was in a bad state that causes pvcreate to fail.
Comment 4 Kenneth Topp 2006-08-15 18:15:23 EDT
I can reproduce it, lets say that you have sda and sdb. 

 You are installing on sdb2 and sda2/sdb2 are pv's from prior installs.  sda2
causes sdb2 to get vgscan'd (or vice-versa).  at least when the target partition
is the only lvm uuid then this doesn't happen.  my workaround is to "dd
if=/dev/zero of=/dev/path/to/pv bs=2k count=1" in %pre
Comment 9 RHEL Product and Program Management 2007-05-09 06:36:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 RHEL Product and Program Management 2007-09-07 15:45:28 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 18 Alexander Todorov 2008-04-03 09:56:36 EDT
Jeff,
we were not able to reproduce this issue. Can you please try and reproduce with
 RHEL4-U6. If still there please attach your exact steps to reproduce (ks.cfg
files, disk layout prior and post installation).

If we don't hear anything from you in a reasonable amount of time (e.g. 1 month)
I'll have to close this with resolution of INSUFFICIENT_DATA

Thanks.
Comment 25 Peter Jones 2008-04-16 14:15:09 EDT
If we can't reproduce this at this point, it's not going to get fixed.

Note You need to log in before you can comment on or make changes to this bug.